Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironmentConfig..::.MetadataDir Field
DatabaseEnvironmentConfig Class See Also Send Feedback

The path of a directory to be used as the location to store the persistent metadata.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public string MetadataDir

Visual Basic (Declaration)
    Public MetadataDir As String

Visual C++
    public:
    String^ MetadataDir

# Remarks

By default, metadata is stored in the environment home directory. See Berkeley DB File Naming in the Programmer's Reference Guide for more information.

When used in a replicated application, the metadata directory must be the same location for all sites within a replication group.

# See Also

DatabaseEnvironmentConfig Class
BerkeleyDB Namespace